Bug 294501 - ImportError: No module named sqlite
ImportError: No module named sqlite
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 07:02 EDT by Michael Schwendt
Modified: 2008-09-03 08:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 08:32:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2007-09-18 07:02:53 EDT
The plague package does "Requires: python-sqlite", which is
a capability provided by the "python" package, and it does
"import sqlite" in the plague-server User.py and DBManager.py
files, but Python 2.5 includes only a "sqlite3" module.
Additionally, it is API incompatible with the old "sqlite".
Comment 1 Michael Schwendt 2007-11-13 11:17:41 EST
Rudimentary sqlite3 support for plague 0.5.0:
http://mschwendt.fedorapeople.org/plague-0.5.0-fedora8.patch
Comment 2 David Chipman 2008-01-19 04:32:59 EST
This bug also shows up in Fedora Core 8, not just the "bleeding-edge", AKA Rawhide. 
Comment 3 Bug Zapper 2008-05-13 23:14:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michael Schwendt 2008-06-14 07:47:27 EDT
Btw, the sqlite3 patch for plague 0.4 is here:
http://mschwendt.fedorapeople.org/plague-0.4.4.1-sqlite3.patch

Note You need to log in before you can comment on or make changes to this bug.